petsc-3.7.1 2016-05-15
Report Typos and Errors

# AOSetType

Builds an application ordering for a particular implementation.

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AOSetType(AO ao, AOType method)

Collective on AO Many br

### Input Parameters

| ao | - The AO object Many br
| method | - The name of the AO type Many br

### Options Database Key

-ao_type <type> -Sets the AO type; use -help for a list of available types Many br

### Notes

See "petsc/include/petscao.h" for available AO types (for instance, AOBASIC and AOMEMORYSCALABLE). Many br

Many br

### Keywords

ao, set, type

### See Also

AOGetType(), AOCreate()

Level:intermediate
Location:src/vec/is/ao/interface/aoreg.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages